global:
  imageRegistry: mirror.gcr.io
image:
  registry: mirror.gcr.io
architecture: standalone
auth:
  enabled: false
  # sentinel: true
  # existingSecret: redis-credentials
  # existingSecretPasswordKey: redis-password
persistence:
  size: 20Gi
  # storageClass: nfs-client
  existingClaim: redis-local-pvc
volumePermissions:
  enabled: true
# securityContext:
#   fsGroup: 1000
#   runAsUser: 1000
metrics:
  enabled: true
  serviceMonitor:
    enabled: true
    additionalLabels:
      release: prometheus
master:
  service:
    type: ClusterIP
  persistence:
    enabled: true
    size: 20Gi
    # storageClass: nfs-client
    existingClaim: redis-local-pvc
  tolerations:
    - key: "node"
      operator: "Equal"
      value: "special"
      effect: "NoSchedule"
    - key: node-role.kubernetes.io/master
      operator: Equal
      value: ""
      effect: NoSchedule
    - key: node-role.kubernetes.io/control-plane
      operator: Equal
      value: ""
      effect: NoSchedule
replica:
  persistence:
    enabled: false
    size: 5Gi
    storageClass: nfs-client
